#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcal_slox.desktop kcal_ox.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)

tde_create_translated_desktop(
  SOURCE tdeabc_slox.desktop tdeabc_ox.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)


##### kcal_slox (module) ########################

tde_add_kpart( kcal_slox AUTOMOC
  SOURCES kcalresourceslox_plugin.cpp
  LINK kcal_slox-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeabc_slox (module) ########################

tde_add_kpart( tdeabc_slox AUTOMOC
  SOURCES tdeabcresourceslox_plugin.cpp
  LINK tdeabc_slox-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kslox (shared) ############################

tde_add_library( kslox SHARED AUTOMOC
  SOURCES
    sloxaccounts.cpp webdavhandler.cpp sloxfolder.cpp sloxfoldermanager.cpp
    sloxfolderdialog.cpp sloxbase.cpp
  VERSION 0.0.0
  LINK tdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeabc_slox (shared) ########################

tde_add_library( tdeabc_slox SHARED AUTOMOC
  SOURCES
    tdeabcresourceslox.cpp tdeabcresourcesloxconfig.cpp tdeabcsloxprefs.kcfgc
  VERSION 0.0.0
  LINK kslox-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### kcal_slox (shared) ########################

tde_add_library( kcal_slox SHARED AUTOMOC
  SOURCES
    kcalresourceslox.cpp kcalresourcesloxconfig.cpp kcalsloxprefs.kcfgc
  VERSION 0.0.0
  LINK kslox-shared
  DESTINATION ${LIB_INSTALL_DIR}
)
